! lecture du climat de reference pour snowball
module lect_clim_snowball

  use module3D_phy
  
  CHARACTER(LEN=100) :: file1

contains
 
  subroutine input_climat_ref()


    NAMELIST/clim_act/file1,annual,type_precip
    rewind(num_param)        ! pour revenir au debut du fichier param_list.dat
    read(num_param,clim_act)
! formats pour les ecritures dans 42
428 format(A)
    write(num_rep_42,428)'!___________________________________________________________'
    write(num_rep_42,428) '&clim_act                                  ! nom du bloc '
    write(num_rep_42,*)
    write(num_rep_42,*) 'file1 = ', file1
    write(num_rep_42,*) 'annual = ', annual
    write(num_rep_42,*) 'type_precip = ', type_precip
    write(num_rep_42,*)'/'
    write(num_rep_42,428) '! file1 : climato de reference'
    write(num_rep_42,428) '! annual : .true. si fichier annuel'
    write(num_rep_42,428) '! type_precip : .true. si fichier precip liq'
    write(num_rep_42,*)

   file1=trim(DIRNAMEINP)//trim(file1)
!  lecture du fichier climat actuel
!  --------------------------------
    open (11,file=trim(file1),status='old')
    read(11,*)
    read(11,*)
    read(11,*)
    IF (annual) THEN
    do J=1,NY
       do I=1,NX
              read(11,*) PRECIP0(I,J),TA0(I,J),TJ0(I,J)
       enddo
    enddo

    else  ! climato mensuelle
        k=0
        DO J=1,NY
          DO I=1,NX
!            READ(11,'(24(e12.5,1x))') (Pm0(I,J,n),n=1,12),(Tm0(I,J,n),n=1,12)
            READ(11,*) (Pm0(I,J,n),n=1,12),(Tm0(I,J,n),n=1,12)
          ENDDO
        ENDDO
        TA0(:,:)= SUM(Tm0,dim=3)/12.
        TJ0(:,:)= Tm0(:,:,7)
        Tmois(:,:,:)= Tm0(:,:,:)
!       Pm0(:,:,:)= Pm0(:,:,:)/12.   ! pour etre en m/mois (didier donne les acc et precips /an)
        precip0(:,:)=SUM(Pm0,dim=3)/12  ! pour rester en m/an (les 12 mois sont chacun en m/an)
        precip0(i,j)=precip0(i,j)/100. ! de cm.a a m.a
    ENDIF
    CLOSE(11)

!cdc test coherence Loveclim couple    precip0(:,:)=precip0(:,:)*1000./ro  ! passage en equivalent glace
    acc(:,:)=precip0(:,:)
    tann(:,:)=TA0(:,:)
    TJULY(:,:)=TJ0(:,:)

  end subroutine input_climat_ref


end module  lect_clim_snowball
